<template>
  <nav class="nav" :class="{'nav--white' : !isHome}">
    <div class="container">
      <div class="nav__wrapper">
        <div class="nav__logo">

          <!-- logo -->
          <img src="@/assets/img/svg/logo.svg" alt="FlipperFlip" v-if="isHome">
          <img src="@/assets/img/svg/logo-black.svg" alt="FlipperFlip" v-else>

          <!-- search -->
          <div class="nav__search">
            <Search :isAlternative="!isHome"/>
          </div>

          <!-- lang -->
          <div class="nav__lang">
            <Dropdown class="dropdown" :class="{'dropdown--white' : !isHome}" :options="langs"
                      v-model="currentLang"
                      @change="updateLang">
            </Dropdown>
          </div>
        </div>

        <!-- router -->
        <div class="nav__links">
          <ul class="nav__list">
            <li><router-link to="/">Home</router-link></li>
            <li><router-link to="/about">About</router-link></li>
            <li><router-link to="/account">To Account</router-link></li>
          </ul>
        </div>

        <!-- buttons -->
        <div class="nav__buttons" v-if="sessionInfo.isAuthenticated">
          <div class="user-info">
            <img class="user-info__avatar" src="@/assets/img/svg/avatar.svg" :alt="sessionInfo.username">
            <div class="user-info__text">
              <div class="user-info__balance">
                Balance €: <span>4,891,782</span>
              </div>
              <div class="user-info__bonus">
                Bonus: 200
              </div>
            </div>
          </div>
          <button class="btn" type="button" name="Make deposit" @click="makeDeposit">Make deposit</button>
        </div>
        <div class="nav__buttons" v-else>
          <button class="btn" :class="[isHome ? 'btn--ghost' : 'btn--ghostWhite']" type="button" name="Log" @click="signIn">Sign In</button>
          <button class="btn" type="button" name="Reg" @click="createAccount">Create Account</button>
        </div>
      </div>
    </div>
  </nav>
</template>

<script>
import Dropdown from '@/components/Dropdown';
import Search from '@/components/Search';
import {mapMutations, mapGetters} from 'vuex';

export default {
  name: 'Menu',
  data () {
    return {
      search: '',
      currentLang: {
        name: 'En'
      },
      langs: [
        {
          name: 'En'
        },
        {
          name: 'Sk'
        },
        {
          name: 'Ua'
        }
      ]
    }
  },
  components:{
    Dropdown,
    Search
  },
  methods: {
    ...mapMutations(['UPDATE_AUTH_COMPONENT']),
    updateLang(val) {
      this.currentLang = val;
    },
    signIn() {
      this.UPDATE_AUTH_COMPONENT({name: 'log', isShown: true});
    },
    createAccount() {
      this.UPDATE_AUTH_COMPONENT({name: 'reg', isShown: true});
    },
    makeDeposit() {
      console.log('makeDeposit...');
    }
  },
  computed: {
    ...mapGetters({
      sessionInfo: 'getSessionInfo'
    }),
    isHome() {
      return (this.$route.name === 'home' || this.$route.name === 'auth');
    }
  }
}
</script>

<style lang="sass" scoped>
.nav
  height: rem(80)
  display: flex
  flex-direction: row
  justify-content: center
  align-items: center
  position: absolute
  width: 100%
  top: 0
  left: 0
  background-color: transparent
  &__wrapper
    display: flex
    flex-direction: row
    justify-content: space-between
    align-items: center
  &__logo
    display: flex
    flex-direction: row
    align-items: center
    justify-content: flex-start
    width: 37%
  &__search
    margin: 0 rem(20) 0 rem(40)
  &__links
    width: 26%
  &__list
    display: flex
    flex-direction: row
    justify-content: center
    li
      padding: 0 rem(10)
      position: relative
    a
      font-family: $mainFont
      font-size: 0.875rem
      color: white
      &.router-link-exact-active
        &:before
          content: ''
          position: absolute
          width: 100%
          height: rem(4)
          background: $colorMain
          border-radius: rem(20)
          top: rem(-31)
          left: 0
  &__buttons
    display: flex
    flex-direction: row
    justify-content: flex-end
    width: 37%
    .btn
      margin: 0 rem(8)
  &--white
    background-color: #F3F4F5
    .nav
      &__list
        a
          color: black
.user-info
  display: flex
  flex-direction: row
  align-items: center
  margin: 0 rem(16) 0 0
  &__avatar
    border: rem(3) solid #b9bec5
    border-radius: 50%
    margin-right: rem(10)
  &__text
    font-size: 0.875rem
    text-align: left
    color: #636e7e
    font-family: $mainFont
    font-weight: 500
    span
      color: $colorMain
      line-height: 1.29
.dropdown
  padding: rem(5) 0
</style>
